Bug 811237 - internal compiler error trying to compile qmmp plugins
internal compiler error trying to compile qmmp plugins
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
16
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 10:00 EDT by Karel Volný
Modified: 2013-02-26 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:26:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (290.58 KB, text/x-log)
2012-04-10 10:00 EDT, Karel Volný
no flags Details
/tmp/ccBFio7s.out (1.72 MB, text/x-csrc)
2012-04-10 10:02 EDT, Karel Volný
no flags Details
/tmp/ccOFQh1s.out (1.41 MB, text/x-csrc)
2012-04-10 10:03 EDT, Karel Volný
no flags Details
/tmp/ccvWASJE.out (1.30 MB, text/x-csrc)
2012-04-10 10:03 EDT, Karel Volný
no flags Details
/tmp/cchNTzFf.out (3.01 MB, text/x-csrc)
2012-04-10 10:04 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2012-04-10 10:00:52 EDT
Created attachment 576477 [details]
build.log

Description of problem:
I'm unable to rebuild qmmp-plugins-freeworld in mock, I'm getting internal compiler error.

Version-Release number of selected component (if applicable):
gcc-c++-4.6.3-2.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. check out qmmp-plugins-freeworld module from rpmfusion
2. go to F-17 dir
3. make mockbuild
  
Actual results:
[kvolny@kvolny F-17]$ make mockbuild
rpmbuild --define "_sourcedir /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17" --define "_builddir /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17" --define "_srcrpmdir /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17" --define "_rpmdir /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17" --define "dist .fc17" --define "fedora 17" --define "dist .fc17" --define "fedora 17" --nodeps -bs qmmp-plugins-freeworld.spec
Zapsáno: /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0.5.3-3.fc17.src.rpm
mock  -r fedora-17-x86_64-rpmfusion_free --resultdir=/home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0_5_3-3_fc17 /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0.5.3-3.fc17.src.rpm
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(/home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0.5.3-3.fc17.src.rpm)  Config(fedora-17-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
INFO: calling preinit hooks
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
ERROR: Exception(/home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0.5.3-3.fc17.src.rpm) Config(fedora-17-x86_64) 3 minutes 51 seconds
INFO: Results and/or logs in: /home/kvolny/Projects/RPM_Fusion/free/qmmp-plugins-freeworld/F-17/qmmp-plugins-freeworld-0_5_3-3_fc17
ERROR: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/qmmp-plugins-freeworld.spec']
make: *** [mockbuild] Error 1


Expected results:
(build goes fine)


Additional info:
Comment 1 Karel Volný 2012-04-10 10:02:08 EDT
Created attachment 576478 [details]
/tmp/ccBFio7s.out
Comment 2 Karel Volný 2012-04-10 10:03:15 EDT
Created attachment 576479 [details]
/tmp/ccOFQh1s.out
Comment 3 Karel Volný 2012-04-10 10:03:41 EDT
Created attachment 576480 [details]
/tmp/ccvWASJE.out
Comment 4 Karel Volný 2012-04-10 10:04:12 EDT
Created attachment 576481 [details]
/tmp/cchNTzFf.out
Comment 5 Fedora End Of Life 2013-02-26 10:26:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.